org.eclipse.ease.debugging

## Class ScriptRegistry

- java.lang.Object
- - org.eclipse.ease.debugging.ScriptRegistry

All Implemented Interfaces:
  IScriptRegistry

Direct Known Subclasses:
  PythonScriptRegistry

    public class ScriptRegistry
    extends java.lang.Object
    implements IScriptRegistry

Default implementation of `IScriptRegistry` simply using maps to perform 1:1 mapping.

### Constructor Summary

Constructors
Constructor and Description
`ScriptRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IResource` `getResource(Script script)` Get the `IResource` identified by this `Script`.
`Script` `getScript(IResource resource)` Return the `Script` identified by this `IResource`.
`void` `put(Script script)` Add a new `Script` to the registry and store its mapping.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptRegistry

    public ScriptRegistry()

### Method Detail

#### getScript

    public Script getScript(IResource resource)

Description copied from interface: `IScriptRegistry`
Return the `Script` identified by this `IResource`.

Specified by:
  `getScript` in interface `IScriptRegistry`
Parameters:
  `resource` - `IResource` to get `Script` for.
Returns:
  `Script` identified by `IResource` or `null` if no mapping found.

#### getResource

    public IResource getResource(Script script)

Description copied from interface: `IScriptRegistry`
Get the `IResource` identified by this `Script`.

Specified by:
  `getResource` in interface `IScriptRegistry`
Returns:
  `IResource` identified by `Script` or `null` if no mapping found.

#### put

    public void put(Script script)

Description copied from interface: `IScriptRegistry`
Add a new `Script` to the registry and store its mapping.

Specified by:
  `put` in interface `IScriptRegistry`
Parameters:
  `script` - Script to be stored in registry.